// packageE/others/log/log.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    kFootshow: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  tabrshowbtn(e) {
    let bol = e.detail;
    if (bol) {
      this.setData({
        kFootshow: false
      });
    }
  },
  goreport(e){
    console.log(e);
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageE/others/skin_result/skin_result?id='+id,
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page:pages
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData(){
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.check-log");
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            member:res.data.member,
            log:res.data.log.data,
            last:res.data.last,
            higher:res.data.higher,
            current_page:res.data.log.current_page,
            last_page:res.data.log.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  },
  getMore(){
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.check-log");
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            member:res.data.member,
            log:that.data.log.concat(res.data.log.data),
            last:res.data.last,
            higher:res.data.higher,
            current_page:res.data.log.current_page,
            last_page:res.data.log.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  },
  del(e){
    console.log(e);
    let id = e.currentTarget.dataset.id.id;
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.del-log");
    app._getNetWork({
      url: urlStr,
      data:{
        report_id:id
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            page:1
          });
          that.getData();
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  }
});